> ## Documentation Index
> Fetch the complete documentation index at: https://docs.samplehc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List users for a SSO directory group



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/samplehc/openapi.documented.yml get /api/v2/sso/directory-groups/{id}/users
openapi: 3.0.3
info:
  title: Sample Healthcare API
  description: API for Sample Healthcare
  version: 1.0.0
servers: []
security: []
paths:
  /api/v2/sso/directory-groups/{id}/users:
    get:
      tags:
        - SSO
      summary: List users for a SSO directory group
      parameters:
        - schema:
            type: string
          in: path
          name: id
          required: true
          description: The SSO directory group identifier.
      responses:
        '200':
          description: Directory group and the Sample users that belong to it.
          content:
            application/json:
              schema:
                type: object
                properties:
                  group:
                    type: object
                    properties:
                      id:
                        type: string
                        description: The SSO directory group identifier.
                      name:
                        type: string
                        description: The human-readable name for the SSO directory group.
                      users:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              description: The Sample user identifier.
                            name:
                              type: string
                              nullable: true
                              description: The display name for the user, if provided.
                            email:
                              type: string
                              description: The user's email address.
                          required:
                            - id
                            - name
                            - email
                          additionalProperties: false
                        description: Users belonging to this directory group.
                    required:
                      - id
                      - name
                      - users
                    additionalProperties: false
                required:
                  - group
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Directory group not found.
                required:
                  - error
                additionalProperties: false

````